# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
%add_findreq_skiplist /usr/share/globus/config.guess
%define fedora 19
%ifarch alpha ia64 ppc64 s390x sparc64 x86_64
%global flavor gcc64
%else
%global flavor gcc32
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		globus-common
%global _name %(tr - _ <<< %{name})
Version:	14.9
Release:	alt1_2
Summary:	Globus Toolkit - Common Library

Group:		System/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		http://www.globus.org/ftppub/gt5/5.2/5.2.3/packages/src/%{_name}-%{version}.tar.gz
#		README file
Source8:	GLOBUS-CCOMMONLIB
#		This is a workaround for the broken epstopdf script in RHEL5
#		See: https://bugzilla.redhat.com/show_bug.cgi?id=450388
Source9:	epstopdf-2.9.5gw

#		Obsolete dropped packages from Globus Toolkit 4.2.1
Obsoletes:	globus-data-conversion
Obsoletes:	globus-mp
Obsoletes:	globus-nexus
Obsoletes:	globus-duct-common
Obsoletes:	globus-duct-control
Obsoletes:	globus-duroc-common
Obsoletes:	globus-duroc-control
#		Obsolete dropped packages from Globus Toolkit 5.2.0
Provides:	globus-libtool = 2
Provides:	globus-libtool%{?_isa} = 2
Obsoletes:	globus-libtool < 2
Provides:	globus-openssl = 6
Provides:	globus-openssl%{?_isa} = 6
Obsoletes:	globus-openssl < 6
Provides:	globus-libxml2 = 2
Provides:	globus-libxml2%{?_isa} = 2
Obsoletes:	globus-libxml2 < 2
BuildRequires:	grid-packaging-tools >= 3.4
BuildRequires:	globus-core%{?_isa} >= 8
%if %{?fedora}%{!?fedora:0} >= 4 || %{?rhel}%{!?rhel:0} >= 5
BuildRequires:	libltdl7-devel
%else
BuildRequires:	libtool
%endif
BuildRequires:	doxygen
BuildRequires:	graphviz
%if "%{?rhel}" == "5"
BuildRequires:	libgraphviz
%endif
BuildRequires: ghostscript-utils ghostscript
%if %{?fedora}%{!?fedora:0} >= 9 || %{?rhel}%{!?rhel:0} >= 5
BuildRequires: /usr/bin/latex texlive-latex-recommended
%else
BuildRequires: /usr/bin/latex texlive-latex-recommended
%endif
%if %{?fedora}%{!?fedora:0} >= 18 || %{?rhel}%{!?rhel:0} >= 7
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-fonts-recommended
BuildRequires:	texlive-latex-recommended
BuildRequires:	texlive-fonts-recommended
BuildRequires:	texlive-fonts-recommended
BuildRequires:	texlive-fonts-recommended
%endif
Source44: import.info

%package progs
Summary:	Globus Toolkit - Common Library Programs
Group:		Networking/WWW
#		Keep providing globus-common-setup until it is not needed
Provides:	%{name}-setup = 2.6
Requires:	%{name}%{?_isa} = %{version}-%{release}
#		Obsolete dropped packages from Globus Toolkit 5.2.0
Provides:	globus-openssl-progs = 6
Provides:	globus-openssl-progs%{?_isa} = 6
Obsoletes:	globus-openssl-progs < 6

%package devel
Summary:	Globus Toolkit - Common Library Development Files
Group:		Development/C
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	%{name}-progs%{?_isa} = %{version}-%{release}
Requires:	globus-core%{?_isa} >= 8
#		Obsolete dropped packages from Globus Toolkit 4.2.1
Obsoletes:	globus-data-conversion-devel
Obsoletes:	globus-mp-devel
Obsoletes:	globus-nexus-devel
Obsoletes:	globus-duct-common-devel
Obsoletes:	globus-duct-control-devel
Obsoletes:	globus-duroc-common-devel
Obsoletes:	globus-duroc-control-devel
#		Obsolete dropped packages from Globus Toolkit 5.2.0
Provides:	globus-libtool-devel = 2
Provides:	globus-libtool-devel%{?_isa} = 2
Provides:	pkgconfig(globus-libtool) = 2
Obsoletes:	globus-libtool-devel < 2
Provides:	globus-openssl-devel = 6
Provides:	globus-openssl-devel%{?_isa} = 6
Provides:	pkgconfig(globus-openssl) = 6
Obsoletes:	globus-openssl-devel < 6
Provides:	globus-libxml2-devel = 2
Provides:	globus-libxml2-devel%{?_isa} = 2
Provides:	pkgconfig(globus-libxml2) = 2
Obsoletes:	globus-libxml2-devel < 2

%package doc
Summary:	Globus Toolkit - Common Library Documentation Files
Group:		Documentation
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch:	noarch
%endif
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Common Library

%description progs
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-progs package contains:
Common Library Programs

%description devel
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Common Library Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
Common Library Documentation Files

%prep
%setup -q -n %{_name}-%{version}

# custom perl requires that removes dependency on gpt perl modules
cat << EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(Grid::GPT::.*)/d'
EOF
%global __perl_requires %{_builddir}/%{_name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

%if "%{rhel}" == "5"
mkdir bin
install %{SOURCE9} bin/epstopdf
%endif

%build
%if "%{rhel}" == "5"
export PATH=$PWD/bin:$PATH
%endif

# Remove files that should be replaced during bootstrap
rm -f doxygen/Doxyfile*
rm -f doxygen/Makefile.am
rm -f pkgdata/Makefile.am
rm -f globus_automake*
rm -rf autom4te.cache

unset GLOBUS_LOCATION
unset GPT_LOCATION
%{_datadir}/globus/globus-bootstrap.sh

export GLOBUS_VERSION=5.2.3
%configure --disable-static --with-flavor=%{flavor} \
	   --enable-doxygen --with-docdir=%{_docdir}/%{name}-%{version} \
	   --with-backward-compatibility-hack

# Reduce overlinking
sed 's!CC -shared !CC \${wl}--as-needed -shared !g' -i libtool

make %{?_smp_mflags}

%install
%if "%{rhel}" == "5"
export PATH=$PWD/bin:$PATH
%endif

make install DESTDIR=%{buildroot}

GLOBUSPACKAGEDIR=%{buildroot}%{_datadir}/globus/packages

# These scripts are intended to be sourced, not executed
chmod 644 %{buildroot}%{_datadir}/globus/globus-args-parser-header
chmod 644 %{buildroot}%{_datadir}/globus/globus-script-initializer
chmod 644 %{buildroot}%{_datadir}/globus/globus-sh-tools.sh

# Remove libtool archives (.la files)
find %{buildroot}%{_libdir} -name 'libglobus_common.la' -exec rm -v '{}' \;
sed '/libglobus_common.la$/d' \
  -i $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist

# This library is opened using lt_dlopenext, so the libtool archive
# (.la file) can not be removed - fix the libdir and clear dependency_libs
# ... and move it to the main package
for lib in `find %{buildroot}%{_libdir} -name 'libglobus_thread_*.la'` ; do
  sed -e "s!^libdir=.*!libdir=\'%{_libdir}\'!" \
      -e "s!^dependency_libs=.*!dependency_libs=\'\'!" -i $lib
done
grep 'libglobus_thread_.*\.la$' \
  $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist \
  >> $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_rtl.filelist
sed '/libglobus_thread_.*\.la$/d' \
  -i $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist

# Move globus-makefile-header to devel package
grep globus-makefile-header $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist \
  >> $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist
sed /globus-makefile-header/d \
  -i $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist

# Move license file to main package
grep GLOBUS_LICENSE $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  >> $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_rtl.filelist
sed /GLOBUS_LICENSE/d -i $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist

# Move client man pages to progs package
grep '.[18]$' $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  >> $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist
sed '/.[18]$/d' -i $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist

# Remove unwanted documentation (needed for RHEL4)
rm -f %{buildroot}%{_mandir}/man3/*_%{_name}-%{version}_*.3
sed -e '/_%{_name}-%{version}_.*\.3/d' \
  -i $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist

# Remove deprecated.3 man page (too common name)
rm -f %{buildroot}%{_mandir}/man3/deprecated.3
sed -e '/deprecated\.3/d' -i $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist

# Install README file
install -m 644 -p %{SOURCE8} %{buildroot}%{_docdir}/%{name}-%{version}/README

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_rtl.filelist \
  | sed s!^!%{_prefix}! > package.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist \
  | sed -e s!^!%{_prefix}! -e 's!.*/man/.*!%doc &*!' > package-progs.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist \
  | sed s!^!%{_prefix}! > package-devel.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  | sed -e 's!/man/.*!&*!' -e 's!^!%doc %{_prefix}!' > package-doc.filelist
sed -i -e '/\.la$/d' package.filelist

%files -f package.filelist
%dir %{_datadir}/globus
%dir %{_datadir}/globus/packages
%dir %{_datadir}/globus/packages/%{_name}
%dir %{perl_vendor_privlib}/Globus
%dir %{perl_vendor_privlib}/Globus/Core
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/README
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files -f package-progs.filelist progs

%files -f package-devel.filelist devel
%dir %{_includedir}/globus

%files -f package-doc.filelist doc
%dir %{_docdir}/%{name}-%{version}/html

%changelog
* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 14.9-alt1_2
- update to new release by fcimport

* Wed Jan 30 2013 Igor Vlasenko <viy@altlinux.ru> 14.9-alt1_1
- update to new release by fcimport

* Sat Jan 12 2013 Igor Vlasenko <viy@altlinux.ru> 14.7-alt1_1
- initial fc import

